commit: 80e7be9164b20753e1ec34c902e9032c9117ad9e
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 13 19:27:03 2020 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Apr 13 19:27:55 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80e7be91
dev-python/pycairo: 1.19.1 + QA
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.99, Repoman-2.3.22
dev-python/pycairo/Manifest | 1 +
dev-python/pycairo/pycairo-1.19.1.ebuild | 60 ++++++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index 131b894f4ca..853f6a6e5b6 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1 +1,2 @@
DIST pycairo-1.18.2.tar.gz 200462 BLAKE2B
1f755dc90fe3ee50aa68273a0816752312f144831ff857709e1a4695a58646ffe6be518733480ed37231c213a11d4e5aaf8dfd1cfa68104873bc7d4192435b89
SHA512
279ea80413ba55d493d51455685da09afa1f5c45e2930c3fca3e417a8afe6645a0d8131201f79482de59e5ec56cfef62eac65ed88fe88866bfcc06503dcc59e0
+DIST pycairo-1.19.1.tar.gz 205196 BLAKE2B
504334628daf75dd9145c97fbd86ea133b4be225ce7fa911b48231ebd5434678ffa7b1f185e0527f96b4b36955e788d0bb4fa4d308843e5ae9b20a41d2126301
SHA512
a7955a2566d5e5586154b62f3aeef824e1e6076cbd3eb86af8288fedcc7d61c4e36a53691298cf9df2e2df7fc96292f96dec92c5d4343e6c1b4c971e97d0650f
diff --git a/dev-python/pycairo/pycairo-1.19.1.ebuild
b/dev-python/pycairo/pycairo-1.19.1.ebuild
new file mode 100644
index 00000000000..66921d842bb
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.19.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="https://www.cairographics.org/pycairo/
https://github.com/pygobject/pycairo"
+SRC_URI="https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc examples test"
+
+BDEPEND="
+ doc? ( $(python_gen_any_dep 'dev-python/sphinx[${PYTHON_USEDEP}]') )
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=x11-libs/cairo-1.13.1[svg]
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+distutils_enable_tests setup.py
+
+python_check_deps() {
+ use doc || return 0
+ has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs -b html _build/html || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install \
+ install_pkgconfig
--pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( _build/html/. )
+
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}